Bug 161020 - Vertical Tab dialogs--initial size of the style dialog is too small
Summary: Vertical Tab dialogs--initial size of the style dialog is too small
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
24.8.0.0 alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:24.8.0
Keywords: bibisectRequest, regression
Depends on:
Blocks: Page-Style-Dialog Vertical_Tabs_dialogs
  Show dependency treegraph
 
Reported: 2024-05-10 08:28 UTC by Regina Henschel
Modified: 2024-06-10 15:13 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of new style dialog (24.09 KB, image/png)
2024-05-10 08:28 UTC, Regina Henschel
Details
Vertical 'Font' tab Windows 10 dark theme (25.69 KB, image/png)
2024-05-10 14:03 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2024-05-10 08:28:28 UTC
Created attachment 194062 [details]
screenshot of new style dialog

Start Draw and change the font in the Default Drawing Style. That Dialog is changed to the new tab-less form. But its initial size is too small, see attached screenshot.

I have used an own build of current master. I work on Windows 11 with 125% display, that is 120dpi.
Comment 1 V Stuart Foote 2024-05-10 14:03:28 UTC
Created attachment 194076 [details]
Vertical 'Font' tab Windows 10 dark theme

Padding around UI elements of the vertical tabs needs a tweak, and default dialog width ought to be a bit wider to accommodate more of the font names in the Western and Asian/Complex panels.
Comment 2 Commit Notification 2024-05-30 20:35:51 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7629d31f02a9fdbdf71295744c8869dee5cb4c54

tdf#161006 tdf#161049 tdf#161020 tdf#161047 fix VertTabCtrl size calculation

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.